let baseInfo = [
  {
    parentCode: 'baseInfo',
    systemFieldId: "k101",
    fieldName: '姓名',
    fieldKey: 'clerkName',
    systemFlag: true,
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fieldType: "0",  //字段类型（0：单行输入框，1：多行输入框，2：单选框 3:多选框 4:日期 5:日期区间 6：数字输入框 7：图片上传 ）
    fixed: false, // 判断字段是否已经在列表中
    fieldDescription: '请输入', // 提示文字
    ruleContent: [], // 单选 日期有
    fieldContent: [], // 选项
    isMust: true, // 是否必填
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k102",
    fieldName: '部门',
    fieldKey: 'groupName',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent:  [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k103",
    fieldName: '手机号',
    fieldKey: 'clerkPhone',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent:  [],
    fieldContent: [],
    isMust: true,
    modifyLimitStatus: '0',
    modifyTimesLimit: 1,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k104",
    fieldName: 'code',
    fieldKey: 'clerkCode',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent:  [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k105",
    fieldName: '邮箱',
    fieldKey: 'clerkEmail',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k106",
    fieldName: '职位',
    fieldKey: 'positionName',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    systemFieldId: "k107",
    fieldName: '入职时间',
    fieldKey: 'hireDate',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日', 'key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月', 'key': 2,'isEdit':1}
    ],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  }
];

let jobInfo = [
  {
    parentCode: 'jobInfo',
    systemFieldId: 'k201',
    fieldName: '员工类型',
    fieldKey: 'clerkType',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'全职','key': 1},
      {'type':'radio','name':'兼职','key': 2},
      {'type':'radio','name':'外包','key': 3},
      {'type':'radio','name':'实习','key': 4},
      {'type':'radio','name':'无类型','key': 5},
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    systemFieldId: 'k202',
    fieldName: '员工状态',
    fieldKey: 'clerkStatus',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent: [
      {'type':'radio', 'name':'正式','key':'1'},
      {'type':'radio', 'name':'试用','key':'2'},
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    systemFieldId: 'k203',
    fieldName: '转正日期',
    fieldKey: 'correctionDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    systemFieldId: 'k204',
    fieldName: '岗位职级',
    fieldKey: 'positionRank',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  }
]

let selfInfo = [
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k301',
    fieldName: '身份证姓名',
    fieldKey: 'identifyName',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k302',
    fieldName: '证件号码',
    fieldKey: 'identifyNo',
    systemFlag: true,
    fieldType: "6",  // 字段类型 数字输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    unit: '单位', // 数字单位
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k303',
    fieldName: '出生日期',
    fieldKey: 'birthDay',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日', 'key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月', 'key': 2,'isEdit':1}
    ],
    fieldContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k304',
    fieldName: '性别',
    fieldKey: 'sex',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k305',
    fieldName: '民族',
    fieldKey: 'nation',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k306',
    fieldName: '身份证地址',
    fieldKey: 'identifyAddr',
    systemFlag: true,
    fieldType: "1",  // 字段类型  多行输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k307',
    fieldName: '证件有效期',
    fieldKey: 'identifyEffectiveDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型  多行输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k308',
    fieldName: '户籍类型',
    fieldKey: 'birthPlaceType',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'本地城镇', 'key':1},
      {'type':'radio','name':'本地农村', 'key':2},
      {'type':'radio','name':'外地城镇(省内)', 'key':3},
      {'type':'radio','name':'外地农村(省内)', 'key':4},
      {'type':'radio','name':'外地城镇(省外)', 'key':5},
      {'type':'radio','name':'外地农村(省外)', 'key':6},
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k309',
    fieldName: '地址',
    fieldKey: 'address',
    systemFlag: true,
    fieldType: "1",  // 字段类型  多行输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k310',
    fieldName: '政治面貌',
    fieldKey: 'politicalStatus',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'团员','key':1},
      {'type':'radio','name':'党员','key':2},
      {'type':'radio','name':'群众','key':3},
      {'type':'radio','name':'其他','key':4}
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k311',
    fieldName: '婚姻状况',
    fieldKey: 'maritalStatus',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'已婚','key': 1},
      {'type':'radio','name':'未婚','key': 2}
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k312',
    fieldName: '首次参加工作时间',
    fieldKey: 'firstWorkDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型  多行输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k313',
    fieldName: '银行卡号',
    fieldKey: 'bankNo',
    systemFlag: true,
    fieldType: "6",  // 字段类型 数字输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    unit: '单位', // 数字单位
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    systemFieldId: 'k314',
    fieldName: '开户行',
    fieldKey: 'bankName',
    systemFlag: true,
    fieldType: "0",  // 字段类型  多行输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    isMust: true,
    staffRecordsIds: []
  },
]

let eduInfo = [
  {
    parentCode: 'eduInfo',
    systemFieldId: 'k401',
    fieldName: '毕业院校',
    fieldKey: 'graduateInstitutions',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    systemFieldId: 'k402',
    fieldName: '毕业时间',
    fieldKey: 'graduateDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    systemFieldId: 'k403',
    fieldName: '所学专业',
    fieldKey: 'majorCourse',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    systemFieldId: 'k404',
    fieldName: '最高学历',
    fieldKey: 'highestEducation',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'初中','key':1},
      {'type':'radio','name':'高中','key':2},
      {'type':'radio','name':'中专','key':3},
      {'type':'radio','name':'大专','key':4},
      {'type':'radio','name':'本科','key':5},
      {'type':'radio','name':'硕士','key':6},
      {'type':'radio','name':'博士','key':7},
      {'type':'radio','name':'其他','key':8}
    ],
    isMust: true,
    staffRecordsIds: []
  },
]

let contractInfo = [
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k501',
    fieldName: '合同公司',
    fieldKey: 'contractCompany',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k502',
    fieldName: '合同类型',
    fieldKey: 'contractType',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'固定曲线劳动合同','key':1},
      {'type':'radio','name':'无固定期限劳动合同','key':2},
      {'type':'radio','name':'实习协议','key':3},
      {'type':'radio','name':'劳务协议','key':4},
      {'type':'radio','name':'劳务派遣合同','key':5},
      {'type':'radio','name':'返聘协议','key':6},
      {'type':'radio','name':'短期劳动合同','key':7},
      {'type':'radio','name':'其他','key':8},
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k503',
    fieldName: '首次合同起始日',
    fieldKey: 'firstContractBeginDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k504',
    fieldName: '首次合同到期日',
    fieldKey: 'firstContractEndDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k505',
    fieldName: '现合同起始日',
    fieldKey: 'currentContractBeginDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k506',
    fieldName: '现合同到期日',
    fieldKey: 'currentContractEndDate',
    systemFlag: true,
    fieldType: "4",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    typeValue: '年-月-日',
    ruleContent:[
      {'type':'radio','name':'年-月-日','key': 1, 'checked':'checked','isEdit':1},
      {'type':'radio','name':'年-月','key': 2,'isEdit':1}
    ],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k507',
    fieldName: '合同期限',
    fieldKey: 'contractDateType',
    systemFlag: true,
    fieldType: "2",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    ruleContent: [],
    fieldContent:[
      {'type':'radio','name':'无','key':1},
      {'type':'radio','name':'6个月','key':2},
      {'type':'radio','name':'12个月','key':3},
      {'type':'radio','name':'24个月','key':4},
      {'type':'radio','name':'36个月或以上','key':5}
    ],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    systemFieldId: 'k508',
    fieldName: '续签次数',
    fieldKey: 'contractRenewNum',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
]

let contactInfo = [
  {
    parentCode: 'contactInfo',
    systemFieldId: 'k601',
    fieldName: '紧急联系人姓名',
    fieldKey: 'emergencyContact',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'contactInfo',
    systemFieldId: 'k602',
    fieldName: '紧急联系人手机号',
    fieldKey: 'emergencyContactPhone',
    systemFlag: true,
    fieldType: "6",  // 字段类型 数字输入框
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent: [],
    isMust: true,
    unit: '单位', // 数字单位
    staffRecordsIds: []
  },
  {
    parentCode: 'contactInfo',
    systemFieldId: 'k603',
    fieldName: '紧急联系人关系',
    fieldKey: 'emergencyContactRelationship',
    systemFlag: true,
    fieldType: "0",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
]

let personalInfo = [
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k701',
    fieldName: '身份证（人像面）',
    fieldKey: 'identifyFrontImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k702',
    fieldName: '身份证（国徽面）',
    fieldKey: 'identifyBackImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k703',
    fieldName: '学历证书',
    fieldKey: 'qualificationImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k704',
    fieldName: '学位证书',
    fieldKey: 'diplomaImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k705',
    fieldName: '上家公司离职证明',
    fieldKey: 'fireEvidenceImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    systemFieldId: 'k706',
    fieldName: '员工照片',
    fieldKey: 'clerkImageUrl',
    systemFlag: true,
    fieldType: "7",  // 字段类型
    fieldEdited: 0, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    ruleContent: [],
    fieldContent:[],
    isMust: true,
    staffRecordsIds: []
  },
]


export default {
  baseInfo: function() {
    return baseInfo;
  },
  jobInfo: function() {
    return jobInfo;
  },
  selfInfo: function() {
    return selfInfo;
  },
  eduInfo: function() {
    return eduInfo;
  },
  contractInfo: function() {
    return contractInfo;
  },
  contactInfo: function() {
    return contactInfo;
  },
  personalInfo: function() {
    return personalInfo;
  }
}


